## Me

**get** `/compute/v1/auth/me`

Returns the organization context available to the current API key or OAuth bearer token. OAuth callers can use X-Boltz-Organization-Id to select one of their organizations.

### Returns

- `AuthMeAPIKeyResponse = object { api_key_id, key_type, mode, 4 more }`

  - `api_key_id: string`

  - `key_type: "admin" or "workspace"`

    - `"admin"`

    - `"workspace"`

  - `mode: "live" or "test"`

    - `"live"`

    - `"test"`

  - `organization_id: string`

  - `principal_type: "api_key"`

    - `"api_key"`

  - `selected_organization_id: string`

  - `workspace_id: string`

- `AuthMeUserResponse = object { active_organization_id, organization_memberships, principal_type, 2 more }`

  - `active_organization_id: string`

  - `organization_memberships: array of object { compute_role, organization_id }`

    - `compute_role: "admin" or "member"`

      - `"admin"`

      - `"member"`

    - `organization_id: string`

  - `principal_type: "user"`

    - `"user"`

  - `selected_organization_id: string`

  - `user_id: string`

### Example

```http
curl https://api.boltz.bio/compute/v1/auth/me \
    -H "x-api-key: $BOLTZ_API_KEY"
```
